# Uses of Class
org.eclipse.mat.query.refined.RefinedStructuredResult

Packages that use RefinedStructuredResult
Package
Description
org.eclipse.mat.query.refined
A way of controlling the detail given by the output of a query.
org.eclipse.mat.ui.internal.panes
Displays the results of queries as text or a table - user interface (not API).
org.eclipse.mat.ui.internal.viewer
Allows filtering of the display of tables and trees, for example excluding certain class names - user interface (not API).

## Uses of RefinedStructuredResult in org.eclipse.mat.query.refined

Subclasses of RefinedStructuredResult in org.eclipse.mat.query.refined
Modifier and Type
Class
Description
`class`
`RefinedTable`
The result from refining a table.
`class`
`RefinedTree`
The result from refining a tree.
Methods in org.eclipse.mat.query.refined that return RefinedStructuredResult
Modifier and Type
Method
Description
`RefinedStructuredResult`
RefinedResultBuilder.`build()`
Build the refined result (one time operation).

## Uses of RefinedStructuredResult in org.eclipse.mat.ui.internal.panes

Methods in org.eclipse.mat.ui.internal.panes that return RefinedStructuredResult
Modifier and Type
Method
Description
`RefinedStructuredResult`
TableResultPane.`getSrcStructured()`

## Uses of RefinedStructuredResult in org.eclipse.mat.ui.internal.viewer

Methods in org.eclipse.mat.ui.internal.viewer that return RefinedStructuredResult
Modifier and Type
Method
Description
`RefinedStructuredResult`
RefinedResultViewer.`getResult()`